#include "mbed.h"



DigitalIn buttonU(PB_4,PullUp);
DigitalIn buttonD(PF_1,PullUp);
DigitalIn buttonR(PB_5,PullUp);
DigitalIn buttonL(PB_1,PullUp);

DigitalIn buttonB(PB_7,PullUp);
DigitalIn buttonW(PB_3,PullUp);
DigitalIn buttonY(PA_0,PullUp);


PwmOut mRWF(PB_0);
PwmOut mRWB(PF_0);

PwmOut mLWF(PA_6);
PwmOut mLWB(PA_7);

PwmOut mARR(PA_8);
PwmOut mARL(PA_11);

PwmOut mARU(PA_4);
PwmOut mARD(PA_3);



int main()
{
    mRWF.period_ms(20);
    mRWB.period_ms(20);
    mLWF.period_ms(20);
    mLWB.period_ms(20);
    mARR.period_ms(20);
    mARL.period_ms(20);
    mARU.period_ms(20);
    mARD.period_ms(20);
    
    while(1){
        if(buttonW.read()==1){
            wait(0.02);
            if(buttonW.read()==1){
                printf("Move Mode\r\n");
                
                if(buttonU.read()==0){
                    wait(0.04);
                    if(buttonU.read()==0){
                        mRWF=0.7;
                        mRWB=0;
                        mLWF=0.7;
                        mLWB=0;
                        printf("Forward\r\n");
                    }
                }
                else if(buttonD.read()==0){
                    wait(0.04);
                    if(buttonD.read()==0){
                        mRWF=0;
                        mRWB=0.7;
                        mLWF=0;
                        mLWB=0.7;
                        printf("Backward\r\n");
                    }
                }
                else if(buttonR.read()==0){
                    wait(0.04);
                    if(buttonR.read()==0){
                        mRWF=0;
                        mRWB=0.7;
                        mLWF=0.7;
                        mLWB=0;
                        printf("Right\r\n");
                    }
                }
                else if(buttonL.read()==0){
                    wait(0.04);
                    if(buttonL.read()==0){
                        mRWF=0.7;
                        mRWB=0;
                        mLWF=0;
                        mLWB=0.7;
                        printf("Left\r\n");
                    }
                }
                else  
                {
                         mRWF=0;
                        mRWB=0;
                        mLWF=0;
                        mLWB=0;
                        printf("STOP");
                    
                }
                
            }
        }
        
        if(buttonW.read()==0){
            wait(0.02);
            if(buttonW.read()==0){
                printf("Arm Mode\r\n");
                
                if(buttonU.read()==0){
                    wait(0.04);
                    if(buttonU.read()==0){
                        mARU=0.7;
                        mARD=0;
                        mARR=0;
                        mARL=0;
                        printf("ArmUp\r\n");
                    }
                }
                else if(buttonD.read()==0){
                    wait(0.04);
                    if(buttonD.read()==0){
                        mARU=0;
                        mARD=0.7;
                        mARR=0;
                        mARL=0;
                        printf("ArmDown\r\n");
                    }
                }
                else if(buttonR.read()==0){
                    wait(0.04);
                    if(buttonR.read()==0){
                        mARU=0;
                        mARD=0;
                        mARR=0.7;
                        mARL=0;
                        printf("ArmRight\r\n");
                    }
                }
                else if(buttonL.read()==0){
                    wait(0.04);
                    if(buttonL.read()==0){
                        mARU=0;
                        mARD=0;
                        mARR=0;
                        mARL=0.7;
                        printf("ArmLeft\r\n");
                    }
                }
                else
                {
                        mARU=0;
                        mARD=0;
                        mARR=0;
                        mARL=0;
                        printf("STOP");
                }
                
            }
        }
        
    }
}
                